Skip to main content
GET
/
ticket
/
lists
List support tickets
curl --request GET \
  --url https://demo.onlinebillingform.com/api/v2/ticket/lists \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "tickets": {
    "current_page": 1,
    "data": [
      {
        "id": 1,
        "subject": "Cannot access my invoices",
        "user_id": 42,
        "assignee_by": null,
        "status": "open",
        "support_department": "Billing",
        "priority": "low",
        "last_action": "Created"
      }
    ],
    "per_page": 15,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <live_api_key>.

Query Parameters

user_id
integer

Filter by the customer the ticket belongs to.

status
enum<string>

Filter by ticket status.

Available options:
open,
pending,
close,
awaiting_reply
priority
enum<string>

Filter by ticket priority.

Available options:
low,
medium,
high,
emergency
support_department
string

Filter by support department.

assignee_by
integer

Filter by assigned staff user ID.

Response

OK

success
boolean